Package ch.qos.logback.core.util

# Class StatusPrinter

java.lang.Object
ch.qos.logback.core.util.StatusPrinter

public class StatusPrinter extends Object

## Constructor Summary

Constructors
Constructor
Description
`StatusPrinter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`buildStr(StringBuilder sb, String indentation, Status s)`
`static void`
`print(Context context)`
Print the contents of the context's status data.
`static void`
`print(Context context, long threshold)`
Print context's status data with a timestamp higher than the threshold.
`static void`
`print(StatusManager sm)`
`static void`
`print(StatusManager sm, long threshold)`
`static void`
`print(List<Status> statusList)`
`static void`
`printIfErrorsOccured(Context context)`
Print the contents of the context statuses, but only if they contain errors.
`static void`
`printInCaseOfErrorsOrWarnings(Context context)`
Print the contents of the context statuses, but only if they contain warnings or errors.
`static void`
`printInCaseOfErrorsOrWarnings(Context context, long threshold)`
Print the contents of the context status, but only if they contain warnings or errors occurring later then the threshold.
`static void`
`setPrintStream(PrintStream printStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatusPrinter

public StatusPrinter()

## Method Details

### setPrintStream

public static void setPrintStream(PrintStream printStream)

### printInCaseOfErrorsOrWarnings

public static void printInCaseOfErrorsOrWarnings(Context context)
Print the contents of the context statuses, but only if they contain warnings or errors.

Parameters:
  `context` -

### printInCaseOfErrorsOrWarnings

public static void printInCaseOfErrorsOrWarnings(Context context, long threshold)
Print the contents of the context status, but only if they contain warnings or errors occurring later then the threshold.

Parameters:
  `context` -

### printIfErrorsOccured

public static void printIfErrorsOccured(Context context)
Print the contents of the context statuses, but only if they contain errors.

Parameters:
  `context` -

### print

public static void print(Context context)
Print the contents of the context's status data.

Parameters:
  `context` -

### print

public static void print(Context context, long threshold)
Print context's status data with a timestamp higher than the threshold.

Parameters:
  `context` -

### print

public static void print(StatusManager sm)

### print

public static void print(StatusManager sm, long threshold)

### print

public static void print(List<Status> statusList)

### buildStr

public static void buildStr(StringBuilder sb, String indentation, Status s)